Bug 11030

Summary: Add 359, 947 and 969 fields in french unimarc_complete framework
Product: Koha Reporter: mathieu saby <mathsabypro>
Component: CatalogingAssignee: mathieu saby <mathsabypro>
Status: CLOSED FIXED QA Contact: Testopia <testopia>
Severity: normal    
Priority: P5 - low CC: aurelie.fichot, chris, dcook, gaetan.boisson, gitbot, gmcharlt, katrin.fischer, m.de.rooy, tomascohen
Version: master   
Hardware: All   
OS: All   
See Also: http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=12477
Change sponsored?: --- Patch complexity: Small patch
Who signed the patch off: Text to go in the release notes:
Version(s) released in:
Bug Depends on: 11021    
Bug Blocks: 11586    
Attachments: [PATCH] Bug 11030 : add fields 947,969,359 in unimarc_complete french framework
Bug 11030 - Add 359, 947 and 969 fields in french unimarc_complete framework - followup
Bug 11030 : add fields 947,969,359 in unimarc_complete french framework
Bug 11030 - Add 359, 947 and 969 fields in french unimarc_complete framework - followup
[PASSED QA] Bug 11030 : add fields 947,969,359 in unimarc_complete french framework
[PASSED QA] Bug 11030 - Add 359, 947 and 969 fields in french unimarc_complete framework - followup

Description mathieu saby 2013-10-09 19:45:22 UTC
3 fields are missing in french unimarc_complete framework, used by french academic libraries ; 
359 : table of contents in Sudoc network (http://documentation.abes.fr/sudoc/formats/unmb/zones/359.htm)
347 and 369, used by the french main record provider (Electre)
Comment 1 mathieu saby 2013-10-09 20:23:24 UTC Comment hidden (obsolete)
Comment 2 I'm just a bot 2013-10-30 07:02:07 UTC
Applying: Bug 11030 : add fields 947,969,359 in unimarc_complete french framework
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 11030 : add fields 947,969,359 in unimarc_complete french framework
The copy of the patch that failed is found in:
   /home/christopher/git/koha/.git/rebase-apply/patch
When you have resolved this problem, run "git am --continue".
If you prefer to skip this patch, run "git am --skip" instead.
To restore the original branch and stop patching, run "git am --abort".
Comment 3 Aurélie Fichot 2014-01-10 09:17:09 UTC
Test on sandbox

The sandbox you've requested is not ready.
Some problems occurred applying patches from bug 11030:
<h1>Something went wrong !</h1>Applying: Bug 11030 : add fields 947,969,359 in unimarc_complete french framework
fatal: sha1 information is lacking or useless (installer/data/mysql/fr-FR/marcflavour/unimarc_complet/Obligatoire/framework_DEFAULT.sql).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 11030 : add fields 947,969,359 in unimarc_complete french framework
When you have resolved this problem run git bz apply --continue.
If you would prefer to skip this patch, instead run git bz apply --skip.
To restore the original branch and stop patching run git bz apply --abort.
Bug 11030 - Add 359, 947 and 969 fields in french unimarc_complete framework

21930 - [PATCH] Bug 11030 : add fields 947,969,359 in unimarc_complete french framework

Apply? [(y)es, (n)o, (i)nteractive] Patch left in /tmp/PATCH-Bug-11030--add-fields-947969359-in-unimarcco-HLgPoP.patch .
Comment 4 mathieu saby 2014-02-02 23:28:15 UTC
The patch is clean, but to be applied on top of bug 11021
So, please test fist bug 11021.

Both bugs can NOT be tested on a usual sandbox (because you have to check that the "installer" that fills Koha's database is working properly).

Mathieu
Comment 5 Gaetan Boisson 2014-06-03 15:00:32 UTC
Patch tested and is working fine, i have one remark though: shouldn't the label for field 359 also indicate "(sudoc)" (as was done for 9xx fields), to clarify why it is here?
Comment 6 Gaetan Boisson 2014-07-01 15:33:33 UTC Comment hidden (obsolete)
Comment 7 Gaetan Boisson 2014-07-01 15:36:19 UTC Comment hidden (obsolete)
Comment 8 Gaetan Boisson 2014-07-01 15:38:32 UTC Comment hidden (obsolete)
Comment 9 Gaetan Boisson 2014-07-01 15:42:03 UTC
I submitted a followup and marked as signed off as my first test was ok and i only wanted to add a very minor change in wording.
Comment 10 Katrin Fischer 2014-07-06 18:03:31 UTC
Created attachment 29524 [details] [review]
[PASSED QA] Bug 11030 : add fields 947,969,359 in unimarc_complete french framework

This patch must be tested on top of bug 11021

This patch adds 3 fields to unimarc_complete french framework
- 359 (2-a-b-c-d-e-f-g-h-i-p-u-v) used by Sudoc network, to be displayed in tab 3
- 947 (c) used by Electre
- 969 (a-h) used by Electre
I don't know the difference between 969a and 969h so I gave them quite the same name

To test :
1) take a fresh Koha with unimarc marcflavor
2) in web installer, select french language, unimarc marflavor and "Grilles de catalogage complètes".
3) check default framework in Administration > MARC Frameworks : it should contains 359/947/969 fields

Signed-off-by: Gaetan Boisson <gaetan.boisson@biblibre.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Comment 11 Katrin Fischer 2014-07-06 18:03:41 UTC
Created attachment 29525 [details] [review]
[PASSED QA] Bug 11030 - Add 359, 947 and 969 fields in french unimarc_complete framework - followup

Signed-off-by: Gaetan Boisson <gaetan.boisson@biblibre.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Comment 12 Tomás Cohen Arazi 2014-07-07 17:32:24 UTC
Patches pushed to master.

Thanks Mathieu!
Comment 13 Galen Charlton 2014-07-23 21:35:21 UTC
Pushed to 3.16.x for inclusion in 3.16.2.